Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.view
Interface AttachedObjectHandler

All Known Subinterfaces:
  ActionSource2AttachedObjectHandler, BehaviorHolderAttachedObjectHandler, EditableValueHolderAttachedObjectHandler, ValueHolderAttachedObjectHandler

All Known Implementing Classes:
  BehaviorHandler, ConverterHandler, FaceletsAttachedObjectHandler, ValidatorHandler

    public interface AttachedObjectHandler

The abstract base interface for a handler representing an attached object in a VDL page. Subinterfaces are provided for the common attached objects that expose `Behavior`, `Converter`s, `Validator`s, `ValueChangeListener`s, and `ActionListener`s for use by page authors.

Since:
  2.0

Method Summary
`void` | `applyAttachedObject(FacesContext context, UIComponent parent)` Take the argument `parent` and apply this attached object to it.
`java.lang.String` | `getFor()` Return the value of the "for" attribute specified by the page author on the tag for this `AttachedObjectHandler`.

Method Detail

### applyAttachedObject

    void applyAttachedObject(FacesContext context,
                             UIComponent parent)

  Take the argument `parent` and apply this attached object to it. The action taken varies with class that implements one of the subinterfaces of this interface.

  Parameters:
    `context` - The `FacesContext` for this request
    `parent` - The `UIComponent` to which this particular attached object must be applied.

### getFor

    java.lang.String getFor()

  Return the value of the "for" attribute specified by the page author on the tag for this `AttachedObjectHandler`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.